Draft PointArray/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 20% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Draft PointArray.svg Draft PointArray

Menu location
Modification → Array tools → Point array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.18
See also
Draft OrthoArray, Draft PolarArray, Draft CircularArray, Draft PathArray, Draft PathLinkArray, Draft PointLinkArray

Описание

The Draft PointArray.svg Draft PointArray command creates a regular array from a selected object by placing copies at the points from a point compound. Use the Draft PointLinkArray command to create a more efficient Link array instead. Except for the type of array that is created, Link array or regular array, the Draft PointLinkArray command is identical to this command.

Both commands can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Draft PointArray Example.png

Draft PointArray

Применение

  1. Select the object you wish to array.
  2. Add the point compound object to the selection.
  3. There are several ways to invoke the command:
    • Press the Draft PointArray.svg Draft PointArray button.
    • Select the Modification → Array tools → Draft PointArray.svg Point array option from the menu.
  4. The array is created.
  5. Optionally change the properties of the array in the Property editor.

Point compound

A point compound is an object that contains one or more points. These are the supported point compounds and how they can be created:

Свойства

See also: Property editor.

A Draft PointArray object is derived from a Part Feature object and inherits all its properties (with the exception of some View properties that are not inherited by Link arrays). The following properties are additional unless otherwise stated:

Данные

Link

The properties in this group are only available for Link arrays. See Std LinkMake for more information.

  • ДанныеScale (Float)
  • Данные (Hidden)Scale Vector (Vector)
  • ДанныеScale List (VectorList)
  • Данные (Hidden)Visibility List (BoolList)
  • Данные (Hidden)Placement List (PlacementList)
  • Данные (Hidden)Element List (LinkList)
  • Данные (Hidden)_ Link Touched (Bool)
  • Данные (Hidden)_ Child Cache (LinkList)
  • Данные (Hidden)Colored Elements (LinkSubHidden)
  • ДанныеLink Transform (Bool)

Objects

  • ДанныеBase (Link): specifies the object to duplicate in the array.
  • ДанныеCount (Integer): (read-only) specifies the number of elements in the array. This number is determined by the number of points in the ДанныеPoint Object.
  • ДанныеExpand Array (Bool): specifies whether to expand the array in the Tree view to enable the selection of its individual elements. Only available for Link arrays.
  • ДанныеExtra Placement (Placement): : specifies an additional placement, translation and rotation, for each element in the array. introduced in version 0.19
  • ДанныеPoint Object (Link): specifies the compound object whose points are used to position the elements in the array. The object must have a ДанныеLinks, ДанныеComponents or ДанныеGeometry property, and contain at least one element with ДанныеX, ДанныеY, and ДанныеZ properties.

Вид

Link

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • ВидDraw Style (Enumeration)
  • ВидLine Width (FloatConstraint)
  • ВидOverride Material (Bool)
  • ВидPoint Size (FloatConstraint)
  • ВидSelectable (Bool): this is an inherited property that appears in the Selection group for other arrays
  • ВидShape Material (Material)

Основные

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • Вид (Hidden)Child View Provider (PersistentObject)
  • Вид (Hidden)Material List (MaterialList)
  • Вид (Hidden)Override Color List (ColorList)
  • Вид (Hidden)Override Material List (BoolList)
  • Вид (Hidden)Proxy (PythonObject): this is an inherited property.

Display Options

The properties in this group are inherited properties. See Part Feature for more information.

  • ВидBounding Box (Bool): this property is not inherited by Link arrays.
  • ВидDisplay Mode (Enumeration): for Link arrays it can be Link or ChildView. For other arrays it can be: Flat Lines, Shaded, Wireframe or Points
  • ВидShow In Tree (Bool)
  • ВидVisibility (Bool)

Draft

  • ВидPattern (Enumeration): not used.
  • ВидPattern Size (Float): not used.

Object style

The properties in this group are not inherited by Link arrays.

Программирование

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a point array use the make_point_array method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makePointArray method.

point_array = make_point_array(base_object, point_object, extra=None, use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • point_object is the object containing the points. It can also be the Label (string) of an object in the current document. It should have a Geometry, Links, or Components property containing points.
  • extra is an App.Placement, an App.Vector or an App.Rotation that displaces each element.
  • If use_link is True the created elements are App Links instead of regular copies.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()